#!/bin/bash

. /var/epages/functions.sh

ETC_DEFAULT=$(etc_default $(cd $(dirname $BASH_SOURCE)/../../.. && pwd))

if [ ! -f $(readlink -f "$ETC_DEFAULT") ] ; then
  echo -n "$BASH_SOURCE: " ; ls -l "$ETC_DEFAULT"
  exit 1
fi

. "$ETC_DEFAULT"

export PERL_BADLANG=0
export PERL_UNICODE=SLA

ELIB="$EPAGES_PERL/lib"
PERL5LIB=$(epages_perl5lib)
MAGICK_CONFIGURE_PATH="$(dirname $0)/config"
MAGICK_CODER_MODULE_PATH="$ELIB/site_perl/linux/auto/Image/Magick/modules-Q16/coders"
MAGICK_FILTER_MODULE_PATH="$ELIB/site_perl/linux/auto/Image/Magick/modules-Q16/filters"

export PERL5LIB MAGICK_CONFIGURE_PATH MAGICK_CODER_MODULE_PATH MAGICK_FILTER_MODULE_PATH

LD_LIBRARY_PATH=$(epages_libs)

exec ${0%.sh} "$@"
