#!/bin/bash

. /var/epages/functions.sh
. $(etc_default)

[[ $1 = -norestart ]] && NO_RESTART=1 || NO_RESTART=

# edit /srv/epages/eproot/j/conf/epagesj.conf

EPAGESJ=${EPAGESJ:-"$EPAGES"/j}
EPAGESJ_CONF=${EPAGESJ_CONFIG:-"$EPAGESJ"/conf}/epagesj.conf

[[ -f $EPAGESJ_CONF ]] || exit 0

INI_CONFIG=/var/epages/ini-config.sh
corePoolSize=$($INI_CONFIG -f "$EPAGESJ_CONF" -s Task -k corePoolSize -G)

# set corePoolSize=1 and restart epagesj unless already set
[[ $corePoolSize = 1 ]] && exit 0

$INI_CONFIG -f "$EPAGESJ_CONF" -s Task -k corePoolSize -v 1 -i || exit 1

[[ -n $NO_RESTART ]] && exit 0

/etc/init.d/epagesj restart 2>/dev/null

exit 0
