#LOCAL("IsAddressForDefaultTemplate", NOT((#AddressAttributes.CountryID EQ "840") AND (#Shop.TaxMethod.Alias EQ "TaxUS")))
countries.default = {
    template: '#ShopWizardSteps-Contact-Tmpl-Default',
    address: {
        country: {
            selector: '#' + 'CountryID#Index',
            value: '#IF(#IsAddressForDefaultTemplate)#AddressAttributes.CountryID#ENDIF'
        },
        street: {
            selector: '#' + 'Street#Index',
            value: '#IF(#IsAddressForDefaultTemplate)#AddressAttributes.Street#ENDIF'
        },
        zip: {
            selector: '#' + 'Zipcode#Index',
            value: '#IF(#IsAddressForDefaultTemplate)#AddressAttributes.Zipcode#ENDIF'
        },
        city: {
            selector: '#' + 'City#Index',
            value: '#IF(#IsAddressForDefaultTemplate)#AddressAttributes.City#ENDIF'
        },
        state: {
            selector: '#' + 'State#Index',
            value: '#IF(#IsAddressForDefaultTemplate)#AddressAttributes.State#ENDIF'
        }
    },
    onAfterRender: function(address) {
        // if (de_epages('#' + 'ep-stateSelectionWrapper').data())

        #BLOCK("NewLineReplace", "")
        de_epages('#' + 'ep-stateSelectionWrapper').presentationUiStateselection({
            "input": {
                "name": "State",
                "id": "State#Index",
                "mandatoryStar": "<span class='MandatoryStar'>{MandatoryStar}</span>",
                "label": "{State}",
                "emptyEntry": "{EmptyEntry}"
            },
            "countrySelectId": "CountryID#Index",
            "cssClasses": {
                "dialogError": "DialogError",
                "inputField": "InputField",
                "inputLabelling": "ep-State#Index"
            },
            "countryId": address.country.value,
            "preselectedState": address.state.value,
            "shopAddressCountryId": "",
            "formError": #IF(#FormError_State)true#ELSE#SPACE[0]false#ENDIF,
            "shopRegistrationField": {
                "state": {
                    "isVisibleName": false,
                    "isMandatoryName": false
                },
                "countryId": {
                    "isVisibleName": true,
                    "isMandatoryName": true
                }
            },
            "data": {
                #JOIN(",", #Shop.ShopCountries)
                "#CountryID": {
                    "subdivsMandatory": #IF(#SubdivsMandatory)true#ELSE#SPACE[0]false#ENDIF,
                    "subDivisions": [
                        #JOIN(",", #SORT(#SubDivisions, "English")) {
                            "code": "#Code",
                            "language": {
                                "english": "#English",
                                "native": "#Native"
                            }
                        }
                        #ENDJOIN
                    ]
                }
                #ENDJOIN
            }
        });
        #ENDBLOCK
    },
    onChange: function() {
        $("#" + "CountryID#Index").trigger('change.presentationUiStateselection');
        // $('#ShopWizardSteps-Contact-Tmpl-Default').tmpl().appendTo('#' +'ShopWizardCountryInformation');
        // $('#ShopWizardSteps-Contact-Tmpl-Default').metaparse();
    }
};
#ENDLOCAL
