﻿package DE_EPAGES::Tax::t::unit::TaxMatrixHandler;
use base DE_EPAGES::Core::API::Test;

use DE_EPAGES::Tax::API::TLE::TaxMatrixHandler;
use DE_EPAGES::Test::Mock::Mockify qw (WasCalled);
use Test::More tests => 4;

use strict;
use utf8;

sub test {
    my $self = shift;

    $self->test_displayTaxAreaAndRate();

    return;
}

sub init {
    my $self = shift;

    my $testObject              = $self;
    my $TaxMatrixHandlerPackage = 'DE_EPAGES::Tax::API::TLE::TaxMatrixHandler';
    my $Mockify                 = DE_EPAGES::Test::Mock::Mockify->new($TaxMatrixHandlerPackage);

    $Mockify->addMock(
        'triggerHook',
        sub {
            my $self = shift;
            my ( $HookName, $hParam ) = @_;

            $testObject->hookname($HookName);
            $testObject->params($hParam);

            return;
        }
    );

    $self->mockedTaxMatrixHandler( $Mockify->getMockObject() );

    return;
}

sub test_displayTaxAreaAndRate {
    my $self = shift;

    $self->resetVars();
    my $TaxMatrixHandler = $self->mockedTaxMatrixHandler;
    my $Result           = $TaxMatrixHandler->displayTaxAreaAndRate();

    ok( WasCalled( $TaxMatrixHandler, 'triggerHook' ), 'displayTaxAreaAndRate called triggerHook' );
    is( $self->hookname, 'UI_DisplayTaxAreaAndRate', 'displayTaxAreaAndRate triggered UI_DisplayTaxAreaAndRate' );
    is( $self->params->{'displayed'}, 1, 'displayTaxAreaAndRate set displayed' );
    is( $Result,                      1, 'displayTaxAreaAndRate result' );

    return;
}

sub mockedTaxMatrixHandler {
    my $self = shift;
    my ($hParams) = @_;

    $self->{'mockedTaxMatrixHandler'} = $hParams if defined $hParams;

    return $self->{'mockedTaxMatrixHandler'};
}

sub hookname {
    my $self = shift;
    my ($hookname) = @_;

    $self->{'hookname'} = $hookname if defined $hookname;

    return $self->{'hookname'};
}

sub params {
    my $self = shift;
    my ($hParams) = @_;

    $self->{'params'} = $hParams if defined $hParams;

    return $self->{'params'};
}

sub resetVars {
    my $self = shift;

    $self->hookname('');
    $self->params( {} );

    return;
}

__PACKAGE__->runScript;
1;
