var address_840 = {
		street: {
			selector: '#'+'Street#Index',
			value: '#IF(#AddressAttributes.CountryID EQ "840")#AddressAttributes.Street#ENDIF'
		},
		zip: {
			selector: '#'+'Zipcode#Index',
			value: '#IF(#AddressAttributes.CountryID EQ "840")#AddressAttributes.Zipcode#ENDIF'
		},
        city: {
			selector: '#'+'City#Index',
        	value: '#IF(#AddressAttributes.CountryID EQ "840")#AddressAttributes.City#ENDIF'
        },
        state: {
			selector: '#'+'State#Index',
        	value: '#IF(#AddressAttributes.CountryID EQ "840")#AddressAttributes.State#ENDIF'
        }
	};

#IF( (NOT #DEFINED(#Shop.Address.CountryID)) OR (#Shop.Address.CountryID != "840") OR ( (#Shop.Address.CountryID == "840") AND (#Shop.CanUseTaxUS == "1" ) ) )
#LOCAL("CountryNotChangeable", NOT(#InitialShopWizardStartup) AND #DEFINED(#Shop.Address.CountryID) AND #Shop.Address.CountryID EQ "840")
countries['840'] = {
	template: '#ShopWizardSteps-Contact-Tmpl-US',
	address: address_840,
	onBeforeRender: function () {
		#IF(NOT(#CountryNotChangeable))
		$('#ShopWizardSteps-Contact-Tmpl-US-CountryNotChangeable-Warning').hide();
		#ENDIF
	},
	onAfterRender: function () {
		require(['de_epages/taxus/inc/taxus-tools'], function (taxusTools) {
			var wrapper = $('div.cityAndState');
			// add functionality to insert a zip code and get the corresponding
			// county/country/state data for the select field via AJAX
			taxusTools.wizardAddAddress(
				$.extend(address_840, {
					taxMatrixId: #Shop.Child.TaxMatrixUS.ID,
					cityAndState: wrapper,
					spanCity: wrapper.find('span.city'),
                	spanState: wrapper.find('span.state')
				})
			);

			// set TaxModel input to 0
			$('input[type="hidden"][name="TaxModel"]').val(0);
			$('#'+'CanUseTaxUS').val(1);
		});
		#IF(NOT(#CountryNotChangeable) AND NOT(#InitialShopWizardStartup))
		$('#ShopWizardSteps-Contact-Tmpl-US-CountryNotChangeable-Warning').show();
		#ENDIF
	}
};

var countrySelect = $('#' + 'CountryID#Index');

#IF(#CountryNotChangeable)
countrySelect
	.prop('disabled', true)
	.hide(0);
countrySelect.before($('<span style="width: 160px; float: left; margin-bottom: 10px;">' + countrySelect[0].options[countrySelect[0].selectedIndex].text + '</span>'));
#ELSE
countrySelect.before($('#ShopWizardSteps-Contact-Tmpl-US-CountryNotChangeable').tmpl());
$('#ShopWizardSteps-Contact-Tmpl-US-CountryNotChangeable-Tooltip').metaparse();
#ENDIF
#ENDLOCAL
#ENDIF
