use strict;
#use SOAP::Lite +trace => 'debug',
use SOAP::Lite
  on_fault => sub {
    my $soap = shift;
    my $res = shift;
    ref $res ? die "SOAP FAULT: " . $res->faultstring . "\n"
             : die "TRANSPORT ERROR: " . $soap->transport->status . "\n";
    return $res;
  },
;

my $soap = SOAP::Lite
    ->uri('urn://epages.de/WebService/AsyncExampleService/2010/06')
    ->proxy('http://localhost:8080/epages/Site.soap')
    ->xmlschema('2001');

my $Count = 3;

my $sessionID = $soap->startLongTimeFunc($Count)->result;
print "startLongTimeFunc with session=$sessionID\n";

my $status = 1;
while ($status<$Count) {
    $status = $soap->getSessionStatus($sessionID)->result->{'Status'};
    print "status=$status\n";
    sleep(5);
}

my $deleted = $soap->deleteSession($sessionID)->result;
print "session $sessionID $deleted\n";

