use strict;
#use SOAP::Lite +trace => 'debug',
use SOAP::Lite
  on_fault => sub {
    my $soap = shift;
    my $res = shift;
    ref $res ? die "SOAP FAULT: " . $res->faultstring . "\n" 
             : die "TRANSPORT ERROR: " . $soap->transport->status . "\n";
    return $res;
  },
;

my $soap = SOAP::Lite
    ->uri('urn://epages.de/WebService/ObjectService/2004/04')
    ->proxy('http://localhost:8080/epages/Site.soap?ObjectID=1');

my $ping = $soap->ping->result;
print "ping=$ping\n";

my $pathString = $soap->pathString( 1 )->result;
print "pathString=$pathString\n";
